Debian Bug report logs - #571035
Kernel freezes at boot

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Holger Wansing <linux@wansing-online.de>

Date: Mon, 22 Feb 2010 23:00:01 UTC

Severity: normal

Done: Holger Wansing <linux@wansing-online.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#571035; Package installation-reports. (Mon, 22 Feb 2010 23:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Wansing <linux@wansing-online.de>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 22 Feb 2010 23:00:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Wansing <linux@wansing-online.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Mon, 22 Feb 2010 23:57:35 +0100
Package: installation-reports


Installation on Toshiba Satellite lowmem laptop:

installation went without bigger problems so far, but machine doesn't
boot into the new system. I chose to install grub2.


		Booting Debian GNU/Linux with 2.6.32-trunk-486
	Loading Linux 2.6.32-trunk-486 ...
	Loading initial ramdisk ...

appears on the screen, then the system stopps.
Sometimes I get another screen:

	Decompressing Linux... Parsing ELF... done.
	Booting the kernel.

and then the system stopps here.



Menu entry in grub.cfg is:

	insmod ext2
	set root: (hd0,1)
	search --no-floppy --fs-uuid --set [UUID]
	echo Loading Linux 2.6.32-trunk-486 ...
	linux /boot/vmlinuz-2.6.32-trunk-486 root=UUID=[UUID] ro all_generic_ide quiet
	echo Loading initial ramdisk ...
	initrd /boot/initrd.img-2.6.32-trunk-486


which seems correct (device is hda1, filesystem is ext2, filenames are correct).


A kernel issue?
The installer kernel boots correct, which is an 2.6.30-486.




Greetings

Holger


-- 

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
Created with Sylpheed 2.5.0
    under DEBIAN GNU/LINUX 5.0.0 - L e n n y
        Registered LinuxUser #311290 - http://counter.li.org/
= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#571035; Package installation-reports. (Tue, 23 Feb 2010 13:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 571035@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Tue, 23 Feb 2010 13:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 571035@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 571035@bugs.debian.org
Cc: Holger Wansing <linux@wansing-online.de>
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Tue, 23 Feb 2010 14:47:59 +0100
On Monday 22 February 2010, Holger Wansing wrote:
> Menu entry in grub.cfg is:
> 	insmod ext2
> 	set root: (hd0,1)
> 	search --no-floppy --fs-uuid --set [UUID]
> 	echo Loading Linux 2.6.32-trunk-486 ...
> 	linux /boot/vmlinuz-2.6.32-trunk-486 root=UUID=[UUID] ro
> all_generic_ide quiet echo Loading initial ramdisk ...
> 	initrd /boot/initrd.img-2.6.32-trunk-486

Try removing the quiet option before booting. Does that give more info?

Also, try installing the 2.6.30 kernel and see if that boots correctly.
You can find it here:
http://snapshot-dev.debian.org/package/linux-2.6/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#571035; Package installation-reports. (Tue, 23 Feb 2010 23:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Wansing <linux@wansing-online.de>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Tue, 23 Feb 2010 23:36:03 GMT) Full text and rfc822 format available.

Message #15 received at 571035@bugs.debian.org (full text, mbox):

From: Holger Wansing <linux@wansing-online.de>
To: 571035@bugs.debian.org
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Wed, 24 Feb 2010 00:33:12 +0100
Hi,

Frans Pop <elendil@planet.nl> wrote:
> On Monday 22 February 2010, Holger Wansing wrote:
> > Menu entry in grub.cfg is:
> > 	insmod ext2
> > 	set root: (hd0,1)
> > 	search --no-floppy --fs-uuid --set [UUID]
> > 	echo Loading Linux 2.6.32-trunk-486 ...
> > 	linux /boot/vmlinuz-2.6.32-trunk-486 root=UUID=[UUID] ro
> > all_generic_ide quiet echo Loading initial ramdisk ...
> > 	initrd /boot/initrd.img-2.6.32-trunk-486
> 
> Try removing the quiet option before booting. Does that give more info?

No more info, sorry.

> Also, try installing the 2.6.30 kernel and see if that boots correctly.
> You can find it here:
> http://snapshot-dev.debian.org/package/linux-2.6/

The only usable 2.6.30 kernel from that source is

http://snapshot-dev.debian.org/archive/debian-security/20091209T040846Z/pool/updates/main/l/linux-2.6/linux-image-2.6.30-2-486_2.6.30-8squeeze1_i386.deb

This image is an image only containing a vmlinuz kernel, no initrd
(not sure, why).
I installed that, and booted:

system starts and gets a kernel panic, because root file system is unable
to be found. 
That means at least, that grub2 is not the problem, what was my very
first thought.


Holger

-- 

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
Created with Sylpheed 2.5.0
    under DEBIAN GNU/LINUX 5.0.0 - L e n n y
        Registered LinuxUser #311290 - http://counter.li.org/
= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#571035; Package installation-reports. (Wed, 24 Feb 2010 06:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 571035@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Wed, 24 Feb 2010 06:12:03 GMT) Full text and rfc822 format available.

Message #20 received at 571035@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 571035@bugs.debian.org
Cc: Holger Wansing <linux@wansing-online.de>
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Wed, 24 Feb 2010 07:09:32 +0100
On Wednesday 24 February 2010, Holger Wansing wrote:
> This image is an image only containing a vmlinuz kernel, no initrd

They never do... The initrd always gets generated when a kernel package is 
installed.

> I installed that, and booted:
> system starts and gets a kernel panic, because root file system is
> unable to be found.

It's not exactly a kernel panic, but I know what you mean.

> That means at least, that grub2 is not the problem, what was my very
> first thought.

Well, not being able to find the root FS may well be because GRUB is not 
configured correctly. When you are dropped into the debug shell, check the 
contents of /dev and /dev/disk/by-uuid to see if your hard disk and root 
partition are present.

But the fact that 2.6.30 does boot that far while 2.6.32 hangs earlier 
probably means that there is a kernel problem with .32.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#571035; Package installation-reports. (Sat, 27 Feb 2010 12:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Wansing <linux@wansing-online.de>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sat, 27 Feb 2010 12:33:08 GMT) Full text and rfc822 format available.

Message #25 received at 571035@bugs.debian.org (full text, mbox):

From: Holger Wansing <linux@wansing-online.de>
To: 571035@bugs.debian.org
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Sat, 27 Feb 2010 13:27:51 +0100
Hi,

Frans Pop <elendil@planet.nl> wrote:
> > I installed that, and booted:
> > system starts and gets a kernel panic, because root file system is
> > unable to be found.
> 
> It's not exactly a kernel panic, but I know what you mean.

Output is:
Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(0,0)

> > That means at least, that grub2 is not the problem, what was my very
> > first thought.
> 
> Well, not being able to find the root FS may well be because GRUB is not 
> configured correctly. When you are dropped into the debug shell, check the 
> contents of /dev and /dev/disk/by-uuid to see if your hard disk and root 
> partition are present.

I'm not exactly sure, what you mean.
When I boot and that booting fails, I'm not dropped to a debug shell. 
System simply stopps.


Holger

-- 

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
Created with Sylpheed 2.5.0
    under DEBIAN GNU/LINUX 5.0.0 - L e n n y
        Registered LinuxUser #311290 - http://counter.li.org/
= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#571035; Package installation-reports. (Sat, 27 Feb 2010 13:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 571035@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sat, 27 Feb 2010 13:15:03 GMT) Full text and rfc822 format available.

Message #30 received at 571035@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 571035@bugs.debian.org
Cc: Holger Wansing <linux@wansing-online.de>
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Sat, 27 Feb 2010 14:12:34 +0100
On Saturday 27 February 2010, Holger Wansing wrote:
> When I boot and that booting fails, I'm not dropped to a debug shell.
> System simply stopps.

OK. That means that the initramfs scripts think they *have* found the root 
FS and that it has been mounted, but that the kernel thinks differently.

To investigate the problem, please see the initramfs-tools man page, 
especially the 'debug' and 'break' options. The last allows you to force 
the initramfs into a debug shell at various points. Try 'break=bottom' and 
check what the status of the system is at that point.

Note: probably the initramfs-tools maintainer can help you better with this 
issue.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#571035; Package installation-reports. (Thu, 04 Mar 2010 22:12:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Wansing <linux@wansing-online.de>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 04 Mar 2010 22:12:10 GMT) Full text and rfc822 format available.

Message #35 received at 571035@bugs.debian.org (full text, mbox):

From: Holger Wansing <linux@wansing-online.de>
To: 571035@bugs.debian.org
Cc: jbailey@ubuntu.com, maks@debian.org, david@hardeman.nu
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Thu, 4 Mar 2010 23:10:32 +0100
[CC'ing the initramfs-tools maintainers]

Hello,

Frans Pop <elendil@planet.nl> wrote:
> On Saturday 27 February 2010, Holger Wansing wrote:
> > When I boot and that booting fails, I'm not dropped to a debug shell.
> > System simply stopps.
> 
> OK. That means that the initramfs scripts think they *have* found the root 
> FS and that it has been mounted, but that the kernel thinks differently.
> 
> To investigate the problem, please see the initramfs-tools man page, 
> especially the 'debug' and 'break' options. The last allows you to force 
> the initramfs into a debug shell at various points. Try 'break=bottom' and 
> check what the status of the system is at that point.
> 
> Note: probably the initramfs-tools maintainer can help you better with this 
> issue.

The hole story in short words:

I did a test installation with the debian-installer version squeeze-alpha1 on
an old Toshiba Satellite 320CDS laptop with an 486 cpu and 32MB of ram.

Installation went without any problems so far.

The only problem now is: the system does not boot. Output on screen is:

	Booting Debian GNU/Linux with 2.6.32-trunk-486
	Loading Linux 2.6.32-trunk-486 ...
	Loading initial ramdisk ...

	[New screen appears]
	Decompressing Linux... Parsing ELF... done.
	Booting the kernel.

and then the system stopps. The cursor is blinking in the next line for ever.





I tried to get additional infos via the initramfs debug shell (thanks to frans pop for
the hint), but I cannot get the shell: I tried all the break=xxx kernel parameters, 
none of them gives me a shell.

I used this grub2 menu entry (with all variants for break= ):

	insmod ext2
	set root: (hd0,1)
	echo Loading Linux 2.6.32-trunk-486 ...
	linux /boot/vmlinuz-2.6.32-trunk-486 root=/dev/hda1 ro all_generic_ide break=top
	echo Loading initial ramdisk ...
	initrd /boot/initrd.img-2.6.32-trunk-486

I also used this menu entry (which uses UUID as hd device identifier) with the same result:

	insmod ext2
	set root: (hd0,1)
	echo Loading Linux 2.6.32-trunk-486 ...
	linux /boot/vmlinuz-2.6.32-trunk-486 root=UUID=[UUID] ro all_generic_ide break=top
	echo Loading initial ramdisk ...
	initrd /boot/initrd.img-2.6.32-trunk-486

The same happens with the debug=vc kernel parameter: no additional output, the same as
mentioned above.


I would be great, if someone could help me out here.

Greetings
Holger

-- 

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
Created with Sylpheed 2.5.0
    under DEBIAN GNU/LINUX 5.0.0 - L e n n y
        Registered LinuxUser #311290 - http://counter.li.org/
= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#571035; Package installation-reports. (Sat, 06 Mar 2010 03:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sat, 06 Mar 2010 03:54:08 GMT) Full text and rfc822 format available.

Message #40 received at 571035@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Holger Wansing <linux@wansing-online.de>
Cc: 571035@bugs.debian.org
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Fri, 5 Mar 2010 02:45:50 +0100
On Thu, 04 Mar 2010, Holger Wansing wrote:

> [CC'ing the initramfs-tools maintainers]
> 
> Hello,
> 
> Frans Pop <elendil@planet.nl> wrote:
> > On Saturday 27 February 2010, Holger Wansing wrote:
> > > When I boot and that booting fails, I'm not dropped to a debug shell.
> > > System simply stopps.
> > 
> > OK. That means that the initramfs scripts think they *have* found the root 
> > FS and that it has been mounted, but that the kernel thinks differently.
> > 
> > To investigate the problem, please see the initramfs-tools man page, 
> > especially the 'debug' and 'break' options. The last allows you to force 
> > the initramfs into a debug shell at various points. Try 'break=bottom' and 
> > check what the status of the system is at that point.
> > 
> > Note: probably the initramfs-tools maintainer can help you better with this 
> > issue.
> 
> The hole story in short words:
> 
> I did a test installation with the debian-installer version squeeze-alpha1 on
> an old Toshiba Satellite 320CDS laptop with an 486 cpu and 32MB of ram.
> 
> Installation went without any problems so far.
> 
> The only problem now is: the system does not boot. Output on screen is:
> 
> 	Booting Debian GNU/Linux with 2.6.32-trunk-486
> 	Loading Linux 2.6.32-trunk-486 ...
> 	Loading initial ramdisk ...
> 
> 	[New screen appears]
> 	Decompressing Linux... Parsing ELF... done.
> 	Booting the kernel.
> 
> and then the system stopps. The cursor is blinking in the next line for ever.
> 
> 
> 
> 
> 
> I tried to get additional infos via the initramfs debug shell (thanks to frans pop for
> the hint), but I cannot get the shell: I tried all the break=xxx kernel parameters, 
> none of them gives me a shell.
> 
> I used this grub2 menu entry (with all variants for break= ):
> 
> 	insmod ext2
> 	set root: (hd0,1)
> 	echo Loading Linux 2.6.32-trunk-486 ...
> 	linux /boot/vmlinuz-2.6.32-trunk-486 root=/dev/hda1 ro all_generic_ide break=top
> 	echo Loading initial ramdisk ...
> 	initrd /boot/initrd.img-2.6.32-trunk-486
> 
> I also used this menu entry (which uses UUID as hd device identifier) with the same result:
> 
> 	insmod ext2
> 	set root: (hd0,1)
> 	echo Loading Linux 2.6.32-trunk-486 ...
> 	linux /boot/vmlinuz-2.6.32-trunk-486 root=UUID=[UUID] ro all_generic_ide break=top
> 	echo Loading initial ramdisk ...
> 	initrd /boot/initrd.img-2.6.32-trunk-486
> 
> The same happens with the debug=vc kernel parameter: no additional output, the same as
> mentioned above.
> 
> 
> I would be great, if someone could help me out here.
> 
> Greetings
> Holger
> 
> -- 
> 
> = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
> Created with Sylpheed 2.5.0
>     under DEBIAN GNU/LINUX 5.0.0 - L e n n y
>         Registered LinuxUser #311290 - http://counter.li.org/
> = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =

sorry on the run, so only short answer, this looks more like a kernel bug
try booting without quiet and see where it really stops?

thanks
-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#571035; Package installation-reports. (Sat, 06 Mar 2010 07:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Wansing <linux@wansing-online.de>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sat, 06 Mar 2010 07:39:03 GMT) Full text and rfc822 format available.

Message #45 received at 571035@bugs.debian.org (full text, mbox):

From: Holger Wansing <linux@wansing-online.de>
To: maximilian attems <max@stro.at>
Cc: 571035@bugs.debian.org
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Sat, 6 Mar 2010 08:35:30 +0100
Hi,

maximilian attems <max@stro.at> wrote:
> On Thu, 04 Mar 2010, Holger Wansing wrote:
> > The hole story in short words:
> > 
> > I did a test installation with the debian-installer version squeeze-alpha1 on
> > an old Toshiba Satellite 320CDS laptop with an 486 cpu and 32MB of ram.
> > 
> > Installation went without any problems so far.
> > 
> > The only problem now is: the system does not boot. Output on screen is:
> > 
> > 	Booting Debian GNU/Linux with 2.6.32-trunk-486
> > 	Loading Linux 2.6.32-trunk-486 ...
> > 	Loading initial ramdisk ...
> > 
> > 	[New screen appears]
> > 	Decompressing Linux... Parsing ELF... done.
> > 	Booting the kernel.
> > 
> > and then the system stopps. The cursor is blinking in the next line for ever.
> 
> sorry on the run, so only short answer, this looks more like a kernel bug
> try booting without quiet and see where it really stops?
> 
> thanks
> -- 
> maks

I already tried this, the mentioned output is from booting without quiet arg, so 
no more information, where or why it stops.


Thanks for your time

Holger

-- 

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
Created with Sylpheed 2.5.0
    under DEBIAN GNU/LINUX 5.0.0 - L e n n y
        Registered LinuxUser #311290 - http://counter.li.org/
= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#571035; Package installation-reports. (Mon, 23 Aug 2010 01:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@ossystems.com.br>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 23 Aug 2010 01:06:05 GMT) Full text and rfc822 format available.

Message #50 received at 571035@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@ossystems.com.br>
To: Holger Wansing <linux@wansing-online.de>, 571035@bugs.debian.org
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Sun, 22 Aug 2010 22:03:20 -0300
reassign 571035 linux-2.6
thanks

Hello,

I am reassigning this issue to the kernel package but I do believe a
new test on this should be done since many issues has been fixed on
2.6.32 after last try.

Cheers,

-- 
Otavio Salvador                  O.S. Systems
E-mail: otavio@ossystems.com.br  http://www.ossystems.com.br
Mobile: +55 53 9981-7854         http://projetos.ossystems.com.br




Bug reassigned from package 'installation-reports' to 'linux-2.6'. Request was from Otavio Salvador <otavio@ossystems.com.br> to control@bugs.debian.org. (Mon, 23 Aug 2010 01:06:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Wed, 25 Aug 2010 19:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Wansing <linux@wansing-online.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 25 Aug 2010 19:42:04 GMT) Full text and rfc822 format available.

Message #57 received at 571035@bugs.debian.org (full text, mbox):

From: Holger Wansing <linux@wansing-online.de>
To: Otavio Salvador <otavio@ossystems.com.br>, 571035@bugs.debian.org
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Wed, 25 Aug 2010 21:39:48 +0200
Hi,

Otavio Salvador <otavio@ossystems.com.br> wrote:
> I am reassigning this issue to the kernel package but I do believe a
> new test on this should be done since many issues has been fixed on
> 2.6.32 after last try.

I did a test installation with a daily built netinst image cd from
23. August 2010.
The result in short words:
The machine is unable to boot, while the installation process is performed
without any errors or problems. GRUB2 was chosen as bootloader.

The output on screen is the same as in my initial report:

	Decompressing Linux... Parsing ELF... done.
	Booting the kernel.

and then the system stopps.


I intend to do some more tests, but this will happen after I return
from vacation (end of next week).


Holger

-- 

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
Created with Sylpheed 2.5.0
    under DEBIAN GNU/LINUX 5.0.0 - L e n n y
        Registered LinuxUser #311290 - http://counter.li.org/
= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Wed, 25 Aug 2010 20:06:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@ossystems.com.br>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 25 Aug 2010 20:06:19 GMT) Full text and rfc822 format available.

Message #62 received at 571035@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@ossystems.com.br>
To: Holger Wansing <linux@wansing-online.de>
Cc: 571035@bugs.debian.org
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Wed, 25 Aug 2010 17:05:09 -0300
reassign 571035 linux-2.6
retitle 571035 Kernel freezes at boot
thanks

Hello,

On Wed, Aug 25, 2010 at 4:39 PM, Holger Wansing <linux@wansing-online.de> wrote:
>        Decompressing Linux... Parsing ELF... done.
>        Booting the kernel.
>
> and then the system stopps.

It is really a kernel issue in this case. It looks like the bootloader
and the installer has done its job and kernel needs a fix somewhere.

So I am reassigning the issue to kernel.

> I intend to do some more tests, but this will happen after I return
> from vacation (end of next week).

That would be good; people at kernel team can guide you better then me
on how to debug this issue.

Thanks in advance,

-- 
Otavio Salvador                  O.S. Systems
E-mail: otavio@ossystems.com.br  http://www.ossystems.com.br
Mobile: +55 53 9981-7854         http://projetos.ossystems.com.br




Changed Bug title to 'Kernel freezes at boot' from '[squeeze alpha1] installationsreport: grub2: machine doesn't boot' Request was from Otavio Salvador <otavio@ossystems.com.br> to control@bugs.debian.org. (Wed, 25 Aug 2010 20:06:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Fri, 27 Aug 2010 02:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 27 Aug 2010 02:57:03 GMT) Full text and rfc822 format available.

Message #69 received at 571035@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Otavio Salvador <otavio@ossystems.com.br>, 571035@bugs.debian.org
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Fri, 27 Aug 2010 03:53:30 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2010-08-25 at 17:05 -0300, Otavio Salvador wrote:
> reassign 571035 linux-2.6
> retitle 571035 Kernel freezes at boot
> thanks
> 
> Hello,
> 
> On Wed, Aug 25, 2010 at 4:39 PM, Holger Wansing <linux@wansing-online.de> wrote:
> >        Decompressing Linux... Parsing ELF... done.
> >        Booting the kernel.
> >
> > and then the system stopps.
> 
> It is really a kernel issue in this case. It looks like the bootloader
> and the installer has done its job and kernel needs a fix somewhere.
> 
> So I am reassigning the issue to kernel.
[...]

Which kernel version was used in this installer image?

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 27 Aug 2010 02:57:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Fri, 27 Aug 2010 03:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 27 Aug 2010 03:00:03 GMT) Full text and rfc822 format available.

Message #76 received at 571035@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Holger Wansing <linux@wansing-online.de>, 571035@bugs.debian.org
Cc: Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Fri, 27 Aug 2010 03:57:14 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2010-08-25 at 21:39 +0200, Holger Wansing wrote:
> Hi,
> 
> Otavio Salvador <otavio@ossystems.com.br> wrote:
> > I am reassigning this issue to the kernel package but I do believe a
> > new test on this should be done since many issues has been fixed on
> > 2.6.32 after last try.
> 
> I did a test installation with a daily built netinst image cd from
> 23. August 2010.
> The result in short words:
> The machine is unable to boot, while the installation process is performed
> without any errors or problems. GRUB2 was chosen as bootloader.
> 
> The output on screen is the same as in my initial report:
> 
> 	Decompressing Linux... Parsing ELF... done.
> 	Booting the kernel.
> 
> and then the system stopps.

Can you confirm whether the GRUB menu entry you used is named
"Linux 2.6.32-trunk-486" or "Linux 2.6.32-5-486"?

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Fri, 27 Aug 2010 03:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@ossystems.com.br>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 27 Aug 2010 03:03:04 GMT) Full text and rfc822 format available.

Message #81 received at 571035@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@ossystems.com.br>
To: Ben Hutchings <ben@decadent.org.uk>, Holger Wansing <linux@wansing-online.de>
Cc: 571035@bugs.debian.org
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Fri, 27 Aug 2010 00:00:50 -0300
Hello Ben,

On Thu, Aug 26, 2010 at 11:53 PM, Ben Hutchings <ben@decadent.org.uk> wrote:
> Which kernel version was used in this installer image?

It depends; the user used the netinst image so he might have used
current squeeze installer or sid depending on  the directory he uses.

Holger, can you inform us the URL you used to get the image?

Cheers,

-- 
Otavio Salvador                  O.S. Systems
E-mail: otavio@ossystems.com.br  http://www.ossystems.com.br
Mobile: +55 53 9981-7854         http://projetos.ossystems.com.br




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Sun, 29 Aug 2010 20:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Wansing <linux@wansing-online.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 29 Aug 2010 20:27:03 GMT) Full text and rfc822 format available.

Message #86 received at 571035@bugs.debian.org (full text, mbox):

From: Holger Wansing <linux@wansing-online.de>
To: 571035@bugs.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>, Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Sun, 29 Aug 2010 22:24:47 +0200
Hello,

Otavio Salvador <otavio@ossystems.com.br> wrote:
> Hello Ben,
> 
> On Thu, Aug 26, 2010 at 11:53 PM, Ben Hutchings <ben@decadent.org.uk> wrote:
> > Which kernel version was used in this installer image?
> 
> It depends; the user used the netinst image so he might have used
> current squeeze installer or sid depending on  the directory he uses.
> 
> Holger, can you inform us the URL you used to get the image?

that was

http://cdimage.debian.org/cdimage/daily-builds/daily/arch-latest/i386/iso-cd/debian-testing-i386-netinst.iso

Thanks
Holger


-- 

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
Created with Sylpheed 2.5.0
    under DEBIAN GNU/LINUX 5.0.0 - L e n n y
        Registered LinuxUser #311290 - http://counter.li.org/
= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Fri, 03 Sep 2010 17:30:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@ossystems.com.br>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 03 Sep 2010 17:30:09 GMT) Full text and rfc822 format available.

Message #91 received at 571035@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@ossystems.com.br>
To: Holger Wansing <linux@wansing-online.de>
Cc: 571035@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Fri, 3 Sep 2010 14:27:25 -0300
Hello,

On Sun, Aug 29, 2010 at 5:24 PM, Holger Wansing <linux@wansing-online.de> wrote:
> http://cdimage.debian.org/cdimage/daily-builds/daily/arch-latest/i386/iso-cd/debian-testing-i386-netinst.iso

We need to know the date of it ;-)

-- 
Otavio Salvador                  O.S. Systems
E-mail: otavio@ossystems.com.br  http://www.ossystems.com.br
Mobile: +55 53 9981-7854         http://projetos.ossystems.com.br




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Sat, 04 Sep 2010 18:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Wansing <linux@wansing-online.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 04 Sep 2010 18:36:04 GMT) Full text and rfc822 format available.

Message #96 received at 571035@bugs.debian.org (full text, mbox):

From: Holger Wansing <linux@wansing-online.de>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 571035@bugs.debian.org, Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Sat, 4 Sep 2010 20:33:04 +0200
Hello,

Ben Hutchings <ben@decadent.org.uk> wrote:
> On Wed, 2010-08-25 at 21:39 +0200, Holger Wansing wrote:
> > Hi,
> > 
> > Otavio Salvador <otavio@ossystems.com.br> wrote:
> > > I am reassigning this issue to the kernel package but I do believe a
> > > new test on this should be done since many issues has been fixed on
> > > 2.6.32 after last try.
> > 
> > I did a test installation with a daily built netinst image cd from
> > 23. August 2010.
> > The result in short words:
> > The machine is unable to boot, while the installation process is performed
> > without any errors or problems. GRUB2 was chosen as bootloader.
> > 
> > The output on screen is the same as in my initial report:
> > 
> > 	Decompressing Linux... Parsing ELF... done.
> > 	Booting the kernel.
> > 
> > and then the system stopps.
> 
> Can you confirm whether the GRUB menu entry you used is named
> "Linux 2.6.32-trunk-486" or "Linux 2.6.32-5-486"?
> 
> Ben.

The grub menu entry is titled
	"Debian GNU/Linux, with Linux 2.6.32-5-486"


If that's relevant, this is the complete menu config for that
boot entry:

  insmod part_msdos
  insmod ext2
  set root='(hd0,msdos1)'
  search --no-floppy --fs-uuid --set 9e863f51-5067-470a-d85345d98db6
  echo 'Loading Linux 2.6.32-5-486 ...'
  linux /boot/vmlinuz-2.6.32-486 root=/dev/hda1 ro all_generic_ide quiet
  echo 'Loading initial ramdisk  ...'
  initrd /boot/initrd.img-2.6.32-5-486



Holger


-- 

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
Created with Sylpheed 2.5.0
    under DEBIAN GNU/LINUX 5.0.0 - L e n n y
        Registered LinuxUser #311290 - http://counter.li.org/
= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Sat, 04 Sep 2010 18:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Wansing <linux@wansing-online.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 04 Sep 2010 18:42:03 GMT) Full text and rfc822 format available.

Message #101 received at 571035@bugs.debian.org (full text, mbox):

From: Holger Wansing <linux@wansing-online.de>
To: Otavio Salvador <otavio@ossystems.com.br>
Cc: 571035@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Sat, 4 Sep 2010 20:38:18 +0200
Hello,

Otavio Salvador <otavio@ossystems.com.br> wrote:
> Hello,
> 
> On Sun, Aug 29, 2010 at 5:24 PM, Holger Wansing <linux@wansing-online.de> wrote:
> > http://cdimage.debian.org/cdimage/daily-builds/daily/arch-latest/i386/iso-cd/debian-testing-i386-netinst.iso
> 
> We need to know the date of it ;-)

In my mail from 25 Aug 2010 21:39:48 +0200, I already wrote,
that it was an daily built netinst image cd from 23. August 2010.


Holger

-- 

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
Created with Sylpheed 2.5.0
    under DEBIAN GNU/LINUX 5.0.0 - L e n n y
        Registered LinuxUser #311290 - http://counter.li.org/
= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Sat, 04 Sep 2010 23:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 04 Sep 2010 23:39:06 GMT) Full text and rfc822 format available.

Message #106 received at 571035@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Holger Wansing <linux@wansing-online.de>
Cc: 571035@bugs.debian.org, Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Sun, 05 Sep 2010 00:38:15 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2010-09-04 at 20:33 +0200, Holger Wansing wrote:
[...]
> If that's relevant, this is the complete menu config for that
> boot entry:
> 
>   insmod part_msdos
>   insmod ext2
>   set root='(hd0,msdos1)'
>   search --no-floppy --fs-uuid --set 9e863f51-5067-470a-d85345d98db6
>   echo 'Loading Linux 2.6.32-5-486 ...'
>   linux /boot/vmlinuz-2.6.32-486 root=/dev/hda1 ro all_generic_ide quiet
>   echo 'Loading initial ramdisk  ...'
>   initrd /boot/initrd.img-2.6.32-5-486

Try replacing 'quiet' with 'earlyprintk=vga'.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Sun, 05 Sep 2010 21:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Wansing <linux@wansing-online.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 05 Sep 2010 21:18:08 GMT) Full text and rfc822 format available.

Message #111 received at 571035@bugs.debian.org (full text, mbox):

From: Holger Wansing <linux@wansing-online.de>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 571035@bugs.debian.org, Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Sun, 5 Sep 2010 23:15:05 +0200
Hello,

Ben Hutchings <ben@decadent.org.uk> wrote:
> On Sat, 2010-09-04 at 20:33 +0200, Holger Wansing wrote:
> [...]
> > If that's relevant, this is the complete menu config for that
> > boot entry:
> > 
> >   insmod part_msdos
> >   insmod ext2
> >   set root='(hd0,msdos1)'
> >   search --no-floppy --fs-uuid --set 9e863f51-5067-470a-d85345d98db6
> >   echo 'Loading Linux 2.6.32-5-486 ...'
> >   linux /boot/vmlinuz-2.6.32-486 root=/dev/hda1 ro all_generic_ide quiet
> >   echo 'Loading initial ramdisk  ...'
> >   initrd /boot/initrd.img-2.6.32-5-486
> 
> Try replacing 'quiet' with 'earlyprintk=vga'.

Sorry, this makes no difference.

	Displayed on screen is:

	Decompressing Linux... Parsing ELF... done.
	Booting the kernel.


and that's it. System waits for ever.




Additional info:

I did some investigations today, here are the results:

I copied two additional kernels to the harddisc of that machine
(via live-cd) and added the corresponding grub menu entries.
That way, I wanted to try if those kernels boot correctly.

1. the first of those kernels is an 2.6.34.5, self baked, which is
   running on another machine of mine.
   It is not strictly a debian kernel, the sources are from kernel.org. 
   It is an kernel _without_initrd_.
   The result is the same: system hangs after "Booting the kernel".

2. the second is a debian-installer kernel. 
   I copied the kernel and initrd from a debian-installer netinst cd
   (the same cd which was used to perform the test installation, leading
   to this bugreport #571035, an debian-testing daily build from 
   23. Aug 2010.
   That kernel boots fine!!!


So, it seems to be not a grub2 issue, but a kernel issue (oh, yes, you
knew this already, maybe :-))



Greetings
Holger

-- 

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
Created with Sylpheed 2.5.0
    under DEBIAN GNU/LINUX 5.0.0 - L e n n y
        Registered LinuxUser #311290 - http://counter.li.org/
= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Sun, 05 Sep 2010 21:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 05 Sep 2010 21:27:03 GMT) Full text and rfc822 format available.

Message #116 received at 571035@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Holger Wansing <linux@wansing-online.de>
Cc: 571035@bugs.debian.org
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Sun, 05 Sep 2010 22:22:09 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2010-09-05 at 23:15 +0200, Holger Wansing wrote:
> Hello,
> 
> Ben Hutchings <ben@decadent.org.uk> wrote:
> > On Sat, 2010-09-04 at 20:33 +0200, Holger Wansing wrote:
> > [...]
> > > If that's relevant, this is the complete menu config for that
> > > boot entry:
> > > 
> > >   insmod part_msdos
> > >   insmod ext2
> > >   set root='(hd0,msdos1)'
> > >   search --no-floppy --fs-uuid --set 9e863f51-5067-470a-d85345d98db6
> > >   echo 'Loading Linux 2.6.32-5-486 ...'
> > >   linux /boot/vmlinuz-2.6.32-486 root=/dev/hda1 ro all_generic_ide quiet
> > >   echo 'Loading initial ramdisk  ...'
> > >   initrd /boot/initrd.img-2.6.32-5-486
> > 
> > Try replacing 'quiet' with 'earlyprintk=vga'.
> 
> Sorry, this makes no difference.
> 
> 	Displayed on screen is:
> 
> 	Decompressing Linux... Parsing ELF... done.
> 	Booting the kernel.
> 
> 
> and that's it. System waits for ever.

It must be failing *very* early.  I suspect this is specific to the 486,
but I could not reproduce it in qemu set to emulate a 486.

[...]
> 2. the second is a debian-installer kernel. 
>    I copied the kernel and initrd from a debian-installer netinst cd
>    (the same cd which was used to perform the test installation, leading
>    to this bugreport #571035, an debian-testing daily build from 
>    23. Aug 2010.
>    That kernel boots fine!!!

So what's the version of that kernel (from /proc/version)?

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Mon, 06 Sep 2010 12:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@ossystems.com.br>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 06 Sep 2010 12:36:03 GMT) Full text and rfc822 format available.

Message #121 received at 571035@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@ossystems.com.br>
To: Holger Wansing <linux@wansing-online.de>
Cc: Ben Hutchings <ben@decadent.org.uk>, 571035@bugs.debian.org
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Mon, 6 Sep 2010 09:33:20 -0300
Hello,

On Sun, Sep 5, 2010 at 6:15 PM, Holger Wansing <linux@wansing-online.de> wrote:
> 2. the second is a debian-installer kernel.
>   I copied the kernel and initrd from a debian-installer netinst cd
>   (the same cd which was used to perform the test installation, leading
>   to this bugreport #571035, an debian-testing daily build from
>   23. Aug 2010.
>   That kernel boots fine!!!

You might try to use the installer and chroot into /target and install
the latest 486 kernel and see if it boots.

-- 
Otavio Salvador                  O.S. Systems
E-mail: otavio@ossystems.com.br  http://www.ossystems.com.br
Mobile: +55 53 9981-7854         http://projetos.ossystems.com.br




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Mon, 06 Sep 2010 20:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Wansing <linux@wansing-online.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 06 Sep 2010 20:06:06 GMT) Full text and rfc822 format available.

Message #126 received at 571035@bugs.debian.org (full text, mbox):

From: Holger Wansing <linux@wansing-online.de>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 571035@bugs.debian.org
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Mon, 6 Sep 2010 22:04:21 +0200
Hello,

Ben Hutchings <ben@decadent.org.uk> wrote:
> On Sun, 2010-09-05 at 23:15 +0200, Holger Wansing wrote:
> > 2. the second is a debian-installer kernel. 
> >    I copied the kernel and initrd from a debian-installer netinst cd
> >    (the same cd which was used to perform the test installation, leading
> >    to this bugreport #571035, an debian-testing daily build from 
> >    23. Aug 2010.
> >    That kernel boots fine!!!
> 
> So what's the version of that kernel (from /proc/version)?

~ # cat /proc/version
Linux version 2.6.32-5-486 (Debian 2.6.32-15) (ben@decadent.org.uk) (gcc
version 4.3.5 (Debian 4.3.5-1) ) #1 Tue Jun 1 04:27:25 UTC 2010

Be aware, that this is a debian-installer kernel (booting that kernel brings
up the debian installation process). That might have another config?


Holger

-- 

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
Created with Sylpheed 2.5.0
    under DEBIAN GNU/LINUX 5.0.0 - L e n n y
        Registered LinuxUser #311290 - http://counter.li.org/
= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Mon, 06 Sep 2010 22:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 06 Sep 2010 22:51:06 GMT) Full text and rfc822 format available.

Message #131 received at 571035@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Holger Wansing <linux@wansing-online.de>
Cc: 571035@bugs.debian.org
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Mon, 06 Sep 2010 23:46:10 +0100
[Message part 1 (text/plain, inline)]
On Mon, 2010-09-06 at 22:04 +0200, Holger Wansing wrote:
> Hello,
> 
> Ben Hutchings <ben@decadent.org.uk> wrote:
> > On Sun, 2010-09-05 at 23:15 +0200, Holger Wansing wrote:
> > > 2. the second is a debian-installer kernel. 
> > >    I copied the kernel and initrd from a debian-installer netinst cd
> > >    (the same cd which was used to perform the test installation, leading
> > >    to this bugreport #571035, an debian-testing daily build from 
> > >    23. Aug 2010.
> > >    That kernel boots fine!!!
> > 
> > So what's the version of that kernel (from /proc/version)?
> 
> ~ # cat /proc/version
> Linux version 2.6.32-5-486 (Debian 2.6.32-15) (ben@decadent.org.uk) (gcc
> version 4.3.5 (Debian 4.3.5-1) ) #1 Tue Jun 1 04:27:25 UTC 2010
> 
> Be aware, that this is a debian-installer kernel (booting that kernel brings
> up the debian installation process). That might have another config?

d-i uses the kernel and modules from a regular kernel package, only
divided between multiple packages to reduce memory and network usage.

So this seems to be a regression between 2.6.32-15 (used in the
installer) and 2.6.32-20 (current version in testing on 25th August, and
presumably what it installed).  Unfortunately I can't see any changes
between these versions which might be responsible.

Could you try testing the intermediate versions, which should still be
available from
<http://snapshot.debian.org/binary/linux-image-2.6.32-5-486/>?

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Sat, 11 Sep 2010 21:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Wansing <linux@wansing-online.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 11 Sep 2010 21:21:05 GMT) Full text and rfc822 format available.

Message #136 received at 571035@bugs.debian.org (full text, mbox):

From: Holger Wansing <linux@wansing-online.de>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 571035@bugs.debian.org, Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Sat, 11 Sep 2010 23:18:56 +0200
Hello,

Ben Hutchings <ben@decadent.org.uk> wrote:
> On Mon, 2010-09-06 at 22:04 +0200, Holger Wansing wrote:
> > Hello,
> > 
> > Ben Hutchings <ben@decadent.org.uk> wrote:
> > > On Sun, 2010-09-05 at 23:15 +0200, Holger Wansing wrote:
> > > > 2. the second is a debian-installer kernel. 
> > > >    I copied the kernel and initrd from a debian-installer netinst cd
> > > >    (the same cd which was used to perform the test installation, leading
> > > >    to this bugreport #571035, an debian-testing daily build from 
> > > >    23. Aug 2010.
> > > >    That kernel boots fine!!!
> > > 
> > > So what's the version of that kernel (from /proc/version)?
> > 
> > ~ # cat /proc/version
> > Linux version 2.6.32-5-486 (Debian 2.6.32-15) (ben@decadent.org.uk) (gcc
> > version 4.3.5 (Debian 4.3.5-1) ) #1 Tue Jun 1 04:27:25 UTC 2010
> > 
> > Be aware, that this is a debian-installer kernel (booting that kernel brings
> > up the debian installation process). That might have another config?
> 
> d-i uses the kernel and modules from a regular kernel package, only
> divided between multiple packages to reduce memory and network usage.
> 
> So this seems to be a regression between 2.6.32-15 (used in the
> installer) and 2.6.32-20 (current version in testing on 25th August, and
> presumably what it installed).  Unfortunately I can't see any changes
> between these versions which might be responsible.
> 
> Could you try testing the intermediate versions, which should still be
> available from
> <http://snapshot.debian.org/binary/linux-image-2.6.32-5-486/>?

Sorry for the delay!

I tried the kernel versions 2.6.32-15 to -19 and found them all booting
so far.
2.6.32-21 also boots.


But I should have to mention, what I'm doing:

The system in question is an low memory system, an old Toshiba 
Satellite laptop, that I only use for here.
The laptop has only 32MB of RAM, and because of that I am unable to
use the rescue mode of the debian-installer (rescue mode consumes to
much RAM since squeeze, this was already reported as #571715).

As a result of this, I use the following szenario to test the kernels
mentioned above:

On my main system, I download the kernel-image.deb Ben pointed me to,
and execute "dpkg -x kernel-image-xxxx.deb unpacked" to unpack the 
deb-package.
Then I copy the files in "unpacked/boot" to an usbstick (that's the files
vmlinuz-2.6.32-xxxxx, config2.6.32-xxxxx and System.map-2.6.32-xxxxxx).
 
Then I boot the low-memory machine with a debian-installer cd, go through
the installation process so far, until I have the possibility to access
the harddisc and the usbstick.
Then I copy the three files to /boot on the machine and edit the grub
config file, to be able to boot the kernel from the grub-menu.

Summary: I have a kernel, but no initrd. And with this constellation,
the kernel boots, until he comes to the point where the root filesystem
is to be found, what fails:
"Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(0,0)"
But this is not a problem in this case, important is, that the kernel itself 
boots, right?

So, maybe there is a problem with the initrd?
Maybe with the size of it? (remember that this is a lowmem machine)



Holger


-- 

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
Created with Sylpheed 2.5.0
    under DEBIAN GNU/LINUX 5.0.0 - L e n n y
        Registered LinuxUser #311290 - http://counter.li.org/
= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Sun, 12 Sep 2010 02:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 12 Sep 2010 02:36:03 GMT) Full text and rfc822 format available.

Message #141 received at 571035@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Holger Wansing <linux@wansing-online.de>, Otavio Salvador <otavio@ossystems.com.br>
Cc: 571035@bugs.debian.org
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Sun, 12 Sep 2010 03:33:05 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2010-09-11 at 23:18 +0200, Holger Wansing wrote:
[...]
> Summary: I have a kernel, but no initrd. And with this constellation,
> the kernel boots, until he comes to the point where the root filesystem
> is to be found, what fails:
> "Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(0,0)"
> But this is not a problem in this case, important is, that the kernel itself 
> boots, right?

Yes, though that is not that much of a test!

> So, maybe there is a problem with the initrd?
> Maybe with the size of it? (remember that this is a lowmem machine)

I think you are right.  A typical initramfs would use nearly the whole
of your 32MB RAM.  It is possible to build a smaller initramfs
containing only the drivers needed for the current hardware, but this is
not the default because it can fail if you change hardware.  If you run
the installer with the extra parameter 'priority=medium' you will be
given this option.

Otavio, perhaps the default value of
base-installer/initramfs-tools/driver-policy should be 'dep' on small
machines (say, less than 120MB RAM)?

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 12 Sep 2010 02:36:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Sun, 12 Sep 2010 13:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Wansing <linux@wansing-online.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 12 Sep 2010 13:09:06 GMT) Full text and rfc822 format available.

Message #148 received at 571035@bugs.debian.org (full text, mbox):

From: Holger Wansing <linux@wansing-online.de>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Otavio Salvador <otavio@ossystems.com.br>, 571035@bugs.debian.org
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Sun, 12 Sep 2010 15:06:49 +0200
Hello,

Ben Hutchings <ben@decadent.org.uk> wrote:
> On Sat, 2010-09-11 at 23:18 +0200, Holger Wansing wrote:
> [...]
> > Summary: I have a kernel, but no initrd. And with this constellation,
> > the kernel boots, until he comes to the point where the root filesystem
> > is to be found, what fails:
> > "Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(0,0)"
> > But this is not a problem in this case, important is, that the kernel itself 
> > boots, right?
> 
> Yes, though that is not that much of a test!

I'm unsure if I understand what you mean here.

> > So, maybe there is a problem with the initrd?
> > Maybe with the size of it? (remember that this is a lowmem machine)
> 
> I think you are right.  A typical initramfs would use nearly the whole
> of your 32MB RAM.  It is possible to build a smaller initramfs
> containing only the drivers needed for the current hardware, but this is
> not the default because it can fail if you change hardware.  If you run
> the installer with the extra parameter 'priority=medium' you will be
> given this option.

Ok, I will try a new installation and choose the customized initrd.

> Otavio, perhaps the default value of
> base-installer/initramfs-tools/driver-policy should be 'dep' on small
> machines (say, less than 120MB RAM)?

Or at least add a hint on that screen, that it is recommended to not
choose the full initrd on lowmem systems?


Holger

-- 

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
Created with Sylpheed 2.5.0
    under DEBIAN GNU/LINUX 5.0.0 - L e n n y
        Registered LinuxUser #311290 - http://counter.li.org/
= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Sun, 12 Sep 2010 20:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Wansing <linux@wansing-online.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 12 Sep 2010 20:39:12 GMT) Full text and rfc822 format available.

Message #153 received at 571035@bugs.debian.org (full text, mbox):

From: Holger Wansing <linux@wansing-online.de>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Otavio Salvador <otavio@ossystems.com.br>, 571035@bugs.debian.org
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Sun, 12 Sep 2010 22:34:47 +0200
Hello,

Ben Hutchings <ben@decadent.org.uk> wrote:
> If you run
> the installer with the extra parameter 'priority=medium' you will be
> given this option.

I did an installation and chose that option, to create the "targeted
initrd".
That gives me a system, which boots (the kernel boots), so the original
problem is solved by that.

But that leads to another problem: the system cannot find the root 
filesystem, /dev/hda and /dev/hda1 doesn't exist, the needed module
here is "ide_generic", which seems to be not in the initrd
(executing "modprobe ide_generic" gives no error, but ide_generic does
not appear in /proc/modules).

I already had this problem some times before, filed a bugreport too some
time ago, which has been fixed, but...

Reassign this bug to initramfs-tools?


Holger

-- 

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
Created with Sylpheed 2.5.0
    under DEBIAN GNU/LINUX 5.0.0 - L e n n y
        Registered LinuxUser #311290 - http://counter.li.org/
= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Sun, 12 Sep 2010 21:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 12 Sep 2010 21:00:03 GMT) Full text and rfc822 format available.

Message #158 received at 571035@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Holger Wansing <linux@wansing-online.de>, 571035@bugs.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>, Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Sun, 12 Sep 2010 22:47:23 +0200
On Sun, Sep 12, 2010 at 10:34:47PM +0200, Holger Wansing wrote:
> Hello,
> 
> Ben Hutchings <ben@decadent.org.uk> wrote:
> > If you run
> > the installer with the extra parameter 'priority=medium' you will be
> > given this option.
> 
> I did an installation and chose that option, to create the "targeted
> initrd".
> That gives me a system, which boots (the kernel boots), so the original
> problem is solved by that.
> 
> But that leads to another problem: the system cannot find the root 
> filesystem, /dev/hda and /dev/hda1 doesn't exist, the needed module
> here is "ide_generic", which seems to be not in the initrd
> (executing "modprobe ide_generic" gives no error, but ide_generic does
> not appear in /proc/modules).
> 
> I already had this problem some times before, filed a bugreport too some
> time ago, which has been fixed, but...
> 
> Reassign this bug to initramfs-tools?

ide_generic does no longer exist in squeeze as linux-2.6 switched
to libata based drivers. I am puzzled that d-i still uses the oldstyle
device names and not UUID's. Oh right your d-i is not a daily built,
but out of date. You are looking for ata_generic module, also please
provide more info along the lines of
http://wiki.debian.org/InitramfsDebug

thanks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Sun, 12 Sep 2010 22:04:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 12 Sep 2010 22:04:28 GMT) Full text and rfc822 format available.

Message #163 received at 571035@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Holger Wansing <linux@wansing-online.de>
Cc: Otavio Salvador <otavio@ossystems.com.br>, 571035@bugs.debian.org
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Sun, 12 Sep 2010 23:02:31 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2010-09-12 at 22:34 +0200, Holger Wansing wrote:
> Hello,
> 
> Ben Hutchings <ben@decadent.org.uk> wrote:
> > If you run
> > the installer with the extra parameter 'priority=medium' you will be
> > given this option.
> 
> I did an installation and chose that option, to create the "targeted
> initrd".
> That gives me a system, which boots (the kernel boots), so the original
> problem is solved by that.
> 
> But that leads to another problem: the system cannot find the root 
> filesystem, /dev/hda and /dev/hda1 doesn't exist, the needed module
> here is "ide_generic", which seems to be not in the initrd
> (executing "modprobe ide_generic" gives no error, but ide_generic does
> not appear in /proc/modules).
[...]

Which boot loader did you install?

Did you specify the boot device as /dev/hda1 or did the installer do
that?  The installer normally specifies the boot device by UUID, which
avoids the problems of device naming.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Mon, 13 Sep 2010 19:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Wansing <linux@wansing-online.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 13 Sep 2010 19:39:03 GMT) Full text and rfc822 format available.

Message #168 received at 571035@bugs.debian.org (full text, mbox):

From: Holger Wansing <linux@wansing-online.de>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Otavio Salvador <otavio@ossystems.com.br>, 571035@bugs.debian.org
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Mon, 13 Sep 2010 21:36:11 +0200
Hi,

On Sun, 12 Sep 2010 23:02:31 +0100 Ben Hutchings <ben@decadent.org.uk> wrote:
> On Sun, 2010-09-12 at 22:34 +0200, Holger Wansing wrote:
> > But that leads to another problem: the system cannot find the root 
> > filesystem, /dev/hda and /dev/hda1 doesn't exist, the needed module
> > here is "ide_generic", which seems to be not in the initrd
> > (executing "modprobe ide_generic" gives no error, but ide_generic does
> > not appear in /proc/modules).
> [...]
> 
> Which boot loader did you install?

grub2

> Did you specify the boot device as /dev/hda1 or did the installer do
> that?  The installer normally specifies the boot device by UUID, which
> avoids the problems of device naming.

I left that all to the installer, no manual action from me.



Holger

-- 

================================================================
Created with Sylpheed 2.5.0
	under Debian GNU/LINUX 5.0 »Lenny«
			Registered LinuxUser #311290
				Spam filtering by bogofilter.org
================================================================




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Mon, 13 Sep 2010 19:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Wansing <linux@wansing-online.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 13 Sep 2010 19:39:05 GMT) Full text and rfc822 format available.

Message #173 received at 571035@bugs.debian.org (full text, mbox):

From: Holger Wansing <linux@wansing-online.de>
To: maximilian attems <max@stro.at>
Cc: 571035@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>, Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Mon, 13 Sep 2010 21:35:59 +0200
Hello,

On Sun, 12 Sep 2010 22:47:23 +0200 maximilian attems <max@stro.at> wrote:
> On Sun, Sep 12, 2010 at 10:34:47PM +0200, Holger Wansing wrote:
> > But that leads to another problem: the system cannot find the root 
> > filesystem, /dev/hda and /dev/hda1 doesn't exist, the needed module
> > here is "ide_generic", which seems to be not in the initrd
> > (executing "modprobe ide_generic" gives no error, but ide_generic does
> > not appear in /proc/modules).
> > 
> > I already had this problem some times before, filed a bugreport too some
> > time ago, which has been fixed, but...
> > 
> > Reassign this bug to initramfs-tools?
> 
> ide_generic does no longer exist in squeeze as linux-2.6 switched
> to libata based drivers. I am puzzled that d-i still uses the oldstyle
> device names and not UUID's. Oh right your d-i is not a daily built,
> but out of date. 

It's a daily built from 23. Aug 2010. Is this too old in this meaning?
I can try a daily built from today if that makes a difference.

> You are looking for ata_generic module, also please
> provide more info along the lines of
> http://wiki.debian.org/InitramfsDebug


ata_generic is also not in the initramfs.


Here is some output from the initramfs-shell:

cat /proc/cmdline
BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-486 root=/dev/hda1 ro all_generic_ide

cat /proc/modules
ide_gd_mod 17175 0 - Live 0xc28a7000
ide_core 59674 1 ide_gd_mod, Live 0xc287f000
fan 2590 0 - Live 0xc285b000
thermal 9210 0 - Live 0xc283f000
thermal_sys 9346 2 fan,thermal, Live 0xc2827000

modprobe ata_generic

cat /proc/modules
ide_gd_mod 17175 0 - Live 0xc28a7000
ide_core 59674 1 ide_gd_mod, Live 0xc287f000
fan 2590 0 - Live 0xc285b000
thermal 9210 0 - Live 0xc283f000
thermal_sys 9346 2 fan,thermal, Live 0xc2827000

=================

At this point, there is no device under /dev for the harddisc
(no oldstyle name like /dev/hda, no uuid name).





Holger

-- 

================================================================
Created with Sylpheed 2.5.0
	under Debian GNU/LINUX 5.0 »Lenny«
			Registered LinuxUser #311290
				Spam filtering by bogofilter.org
================================================================




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Tue, 14 Sep 2010 20:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 14 Sep 2010 20:27:03 GMT) Full text and rfc822 format available.

Message #178 received at 571035@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Holger Wansing <linux@wansing-online.de>, 571035@bugs.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>, Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#571035: [squeeze alpha1] installationsreport: grub2: machine doesn't boot
Date: Tue, 14 Sep 2010 21:50:26 +0200
On Mon, 13 Sep 2010, Holger Wansing wrote:

> Hi,
> 
> On Sun, 12 Sep 2010 23:02:31 +0100 Ben Hutchings <ben@decadent.org.uk> wrote:
> > On Sun, 2010-09-12 at 22:34 +0200, Holger Wansing wrote:
> > > But that leads to another problem: the system cannot find the root 
> > > filesystem, /dev/hda and /dev/hda1 doesn't exist, the needed module
> > > here is "ide_generic", which seems to be not in the initrd
> > > (executing "modprobe ide_generic" gives no error, but ide_generic does
> > > not appear in /proc/modules).
> > [...]
> > 
> > Which boot loader did you install?
> 
> grub2
> 
> > Did you specify the boot device as /dev/hda1 or did the installer do
> > that?  The installer normally specifies the boot device by UUID, which
> > avoids the problems of device naming.
> 
> I left that all to the installer, no manual action from me.
> 

your subject tells alpha1 squeeze built, those are in fact quite old,
please try with a "proper" daily built.

thanks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Tue, 14 Sep 2010 20:45:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Wansing <linux@wansing-online.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 14 Sep 2010 20:45:23 GMT) Full text and rfc822 format available.

Message #183 received at 571035@bugs.debian.org (full text, mbox):

From: Holger Wansing <linux@wansing-online.de>
To: maximilian attems <max@stro.at>
Cc: 571035@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>, Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#571035: [Daily built 23. Aug 2010] Kernel freezes at boot [Was: [squeeze alpha1] installationsreport: grub2: machine doesn't boot]
Date: Tue, 14 Sep 2010 22:41:30 +0200
Hello,

maximilian attems <max@stro.at> wrote:
> your subject tells alpha1 squeeze built, those are in fact quite old,
> please try with a "proper" daily built.
> 

Oh, you are right of course, my initial report was for alpha1.
Otavio has already prompted me to retry with an recent built, what
I did:

I used a daily built from 23. Aug 2010.
See the results on

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=571035#57


Holger

-- 

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
Created with Sylpheed 2.5.0
    under DEBIAN GNU/LINUX 5.0.0 - L e n n y
        Registered LinuxUser #311290 - http://counter.li.org/
= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Tue, 14 Sep 2010 20:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 14 Sep 2010 20:54:06 GMT) Full text and rfc822 format available.

Message #188 received at 571035@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Holger Wansing <linux@wansing-online.de>
Cc: 571035@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>, Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#571035: [Daily built 23. Aug 2010] Kernel freezes at boot [Was: [squeeze alpha1] installationsreport: grub2: machine doesn't boot]
Date: Tue, 14 Sep 2010 22:41:53 +0200
On Tue, Sep 14, 2010 at 10:41:30PM +0200, Holger Wansing wrote:
> 
> Oh, you are right of course, my initial report was for alpha1.
> Otavio has already prompted me to retry with an recent built, what
> I did:
> 
> I used a daily built from 23. Aug 2010.
> See the results on
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=571035#57

oh sorry got confused by all that.
could you post the content of the initramfs in question?

lsinitramfs /boot/initramfs-2.6.32-5-486  | grep modules

also the run of mkinitramfs might be interesting
sh -x /usr/sbin/mkinitramfs -k 2.6.32-5-486 -o /tmp/foo

which devices do exist on boot in that initramfs
ls /dev/[hs]da*
ls /dev/disk/by-uuid/

thanks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Tue, 14 Sep 2010 21:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Wansing <linux@wansing-online.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 14 Sep 2010 21:36:06 GMT) Full text and rfc822 format available.

Message #193 received at 571035@bugs.debian.org (full text, mbox):

From: Holger Wansing <linux@wansing-online.de>
To: maximilian attems <max@stro.at>
Cc: 571035@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>, Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#571035: [Daily built 23. Aug 2010] Kernel freezes at boot [Was: [squeeze alpha1] installationsreport: grub2: machine doesn't boot]
Date: Tue, 14 Sep 2010 23:32:59 +0200
Hello,

maximilian attems <max@stro.at> wrote:
> oh sorry got confused by all that.
> could you post the content of the initramfs in question?
> 
> lsinitramfs /boot/initramfs-2.6.32-5-486  | grep modules

ted@debian:~/Desktop/571035$ lsinitramfs initrd-in-question | grep modules
conf/modules
lib/modules
lib/modules/2.6.32-5-486
lib/modules/2.6.32-5-486/kernel
lib/modules/2.6.32-5-486/kernel/fs
lib/modules/2.6.32-5-486/kernel/fs/mbcache.ko
lib/modules/2.6.32-5-486/kernel/fs/ext2
lib/modules/2.6.32-5-486/kernel/fs/ext2/ext2.ko
lib/modules/2.6.32-5-486/kernel/drivers
lib/modules/2.6.32-5-486/kernel/drivers/ide
lib/modules/2.6.32-5-486/kernel/drivers/ide/ide-core.ko
lib/modules/2.6.32-5-486/kernel/drivers/ide/ide-gd_mod.ko
lib/modules/2.6.32-5-486/kernel/drivers/ide/ide-cd_mod.ko
lib/modules/2.6.32-5-486/kernel/drivers/cdrom
lib/modules/2.6.32-5-486/kernel/drivers/cdrom/cdrom.ko
lib/modules/2.6.32-5-486/kernel/drivers/scsi
lib/modules/2.6.32-5-486/kernel/drivers/scsi/scsi_mod.ko
lib/modules/2.6.32-5-486/kernel/drivers/scsi/sd_mod.ko
lib/modules/2.6.32-5-486/kernel/drivers/virtio
lib/modules/2.6.32-5-486/kernel/drivers/virtio/virtio_pci.ko
lib/modules/2.6.32-5-486/kernel/drivers/thermal
lib/modules/2.6.32-5-486/kernel/drivers/thermal/thermal_sys.ko
lib/modules/2.6.32-5-486/kernel/drivers/acpi
lib/modules/2.6.32-5-486/kernel/drivers/acpi/fan.ko
lib/modules/2.6.32-5-486/kernel/drivers/acpi/thermal.ko
lib/modules/2.6.32-5-486/kernel/drivers/md
lib/modules/2.6.32-5-486/kernel/drivers/md/dm-mod.ko
lib/modules/2.6.32-5-486/kernel/lib
lib/modules/2.6.32-5-486/kernel/lib/crc-t10dif.ko
lib/modules/2.6.32-5-486/modules.dep.bin
lib/modules/2.6.32-5-486/modules.dep
lib/modules/2.6.32-5-486/modules.alias.bin
lib/modules/2.6.32-5-486/modules.alias
lib/modules/2.6.32-5-486/modules.symbols.bin
lib/modules/2.6.32-5-486/modules.softdep
lib/modules/2.6.32-5-486/modules.symbols
lib/modules/2.6.32-5-486/modules.devname



I know, that in the past, the module ide_generic was needed for
this machine to access the harddisc.

> also the run of mkinitramfs might be interesting
> sh -x /usr/sbin/mkinitramfs -k 2.6.32-5-486 -o /tmp/foo

I'm a bit puzzled about this one.
I have a laptop here, where the 2.6.32-5-486 kernel is installed,
included the initrd in question.
But that laptop is unable to boot (this is the basic problem of this
bugreport :-))
Where should I execute this command? 
On that laptop within a chroot? (I'm afraid, this will not work because
                                 of not enough ram)
Or on another machine?

> which devices do exist on boot in that initramfs
> ls /dev/[hs]da*
> ls /dev/disk/by-uuid/

(initramfs) ls /dev/[hs]da*
ls: /dev/[hs]da*: No such file or directory

(initramfs) ls /dev/disk/by-uuid/
ls: /dev/disk/by-uuid/: No such file or directory



Thanks
Holger

-- 

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
Created with Sylpheed 2.5.0
    under DEBIAN GNU/LINUX 5.0.0 - L e n n y
        Registered LinuxUser #311290 - http://counter.li.org/
= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Wed, 15 Sep 2010 12:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 15 Sep 2010 12:36:03 GMT) Full text and rfc822 format available.

Message #198 received at 571035@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Holger Wansing <linux@wansing-online.de>
Cc: 571035@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>, Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#571035: [Daily built 23. Aug 2010] Kernel freezes at boot [Was: [squeeze alpha1] installationsreport: grub2: machine doesn't boot]
Date: Wed, 15 Sep 2010 14:33:28 +0200
On Tue, 14 Sep 2010, Holger Wansing wrote:

> ted@debian:~/Desktop/571035$ lsinitramfs initrd-in-question | grep modules
> conf/modules
> lib/modules
> lib/modules/2.6.32-5-486
> lib/modules/2.6.32-5-486/kernel
> lib/modules/2.6.32-5-486/kernel/fs
> lib/modules/2.6.32-5-486/kernel/fs/mbcache.ko
> lib/modules/2.6.32-5-486/kernel/fs/ext2
> lib/modules/2.6.32-5-486/kernel/fs/ext2/ext2.ko
> lib/modules/2.6.32-5-486/kernel/drivers
> lib/modules/2.6.32-5-486/kernel/drivers/ide
> lib/modules/2.6.32-5-486/kernel/drivers/ide/ide-core.ko
> lib/modules/2.6.32-5-486/kernel/drivers/ide/ide-gd_mod.ko
> lib/modules/2.6.32-5-486/kernel/drivers/ide/ide-cd_mod.ko
> lib/modules/2.6.32-5-486/kernel/drivers/cdrom
> lib/modules/2.6.32-5-486/kernel/drivers/cdrom/cdrom.ko
> lib/modules/2.6.32-5-486/kernel/drivers/scsi
> lib/modules/2.6.32-5-486/kernel/drivers/scsi/scsi_mod.ko
> lib/modules/2.6.32-5-486/kernel/drivers/scsi/sd_mod.ko
> lib/modules/2.6.32-5-486/kernel/drivers/virtio
> lib/modules/2.6.32-5-486/kernel/drivers/virtio/virtio_pci.ko
> lib/modules/2.6.32-5-486/kernel/drivers/thermal
> lib/modules/2.6.32-5-486/kernel/drivers/thermal/thermal_sys.ko
> lib/modules/2.6.32-5-486/kernel/drivers/acpi
> lib/modules/2.6.32-5-486/kernel/drivers/acpi/fan.ko
> lib/modules/2.6.32-5-486/kernel/drivers/acpi/thermal.ko
> lib/modules/2.6.32-5-486/kernel/drivers/md
> lib/modules/2.6.32-5-486/kernel/drivers/md/dm-mod.ko
> lib/modules/2.6.32-5-486/kernel/lib
> lib/modules/2.6.32-5-486/kernel/lib/crc-t10dif.ko
> lib/modules/2.6.32-5-486/modules.dep.bin
> lib/modules/2.6.32-5-486/modules.dep
> lib/modules/2.6.32-5-486/modules.alias.bin
> lib/modules/2.6.32-5-486/modules.alias
> lib/modules/2.6.32-5-486/modules.symbols.bin
> lib/modules/2.6.32-5-486/modules.softdep
> lib/modules/2.6.32-5-486/modules.symbols
> lib/modules/2.6.32-5-486/modules.devname

hmm so the ata generic driver might have a bug to not properly
show up in /sys and thus not to land on initramfs.
 
 
 
> I know, that in the past, the module ide_generic was needed for
> this machine to access the harddisc.

so to boot it I would simply add as quick& dirty workaround
echo ata-generic >> /etc/initramfs-tools/modules

and then rebuild that 2.6.32-5 initramfs

if that boots, I'd like to get the output of
tree /sys

thanks
 
-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Sat, 18 Sep 2010 20:54:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Wansing <linux@wansing-online.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 18 Sep 2010 20:54:18 GMT) Full text and rfc822 format available.

Message #203 received at 571035@bugs.debian.org (full text, mbox):

From: Holger Wansing <linux@wansing-online.de>
To: maximilian attems <max@stro.at>
Cc: 571035@bugs.debian.org, Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#571035: [Daily built 23. Aug 2010] Kernel freezes at boot
Date: Sat, 18 Sep 2010 22:52:55 +0200
Hello,

maximilian attems <max@stro.at> wrote:
> hmm so the ata generic driver might have a bug to not properly
> show up in /sys and thus not to land on initramfs.
>  
>  
>  
> > I know, that in the past, the module ide_generic was needed for
> > this machine to access the harddisc.
> 
> so to boot it I would simply add as quick& dirty workaround
> echo ata-generic >> /etc/initramfs-tools/modules
> 
> and then rebuild that 2.6.32-5 initramfs

I did a complete new installation with the same image as before from
23. Aug 2010, it was an expert installation, but I accepted all
default values, so no custom things were done, apart from this:
Just before the initrd is generated, I added ata-generic to 
/etc/initramfs-tools/modules (on the second console).
That way, the ata-generic got included in the initrd.

When I boot now, the root filesystem still cannot be found.


Some output from the initramfs-shell:

(initramfs) cat /proc/modules
ide_gd_mod 17175 0 - Live 0xc295f000
ide-core 59674 1 ide_gd_mod, Live 0xc2939000
fan 2590 0 - Live 0xc282a000
thermal 9210 0 - Live 0xc290b000
ata_generic 2015 0 - Live 0xc2820000
libata 117275 1 ata_generic, Live 0xc288c000
scsi_mod 102265 1 libata, Live 0xc2863000

(initramfs) cat /proc/cmdline
BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-486 root=/dev/hda1 ro all_generic_ide quiet

(initramfs) ls /dev/[hs]da*
ls /dev/[hs]da*: No such file or directory

(initramfs) ls /dev/disk/by-uuid/
ls /dev/disk/by-uuid/: No such file or directory



> if that boots, I'd like to get the output of
> tree /sys
> 
> thanks
> 
> --
> maks


As this does not boot, I tried again a new installation, and forced to
add ide_generic to the initrd, and that works! The machine boots fine
with ide_generic.
But as this is an obsolete driver, you may not be interested in info
about this.


Thanks

Holger




-- 

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
Created with Sylpheed 2.5.0
    under DEBIAN GNU/LINUX 5.0.0 - L e n n y
        Registered LinuxUser #311290 - http://counter.li.org/
= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Sun, 19 Sep 2010 18:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 19 Sep 2010 18:27:05 GMT) Full text and rfc822 format available.

Message #208 received at 571035@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Holger Wansing <linux@wansing-online.de>
Cc: 571035@bugs.debian.org, Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#571035: [Daily built 23. Aug 2010] Kernel freezes at boot
Date: Sun, 19 Sep 2010 20:22:02 +0200
On Sat, 18 Sep 2010, Holger Wansing wrote:

> 
> As this does not boot, I tried again a new installation, and forced to
> add ide_generic to the initrd, and that works! The machine boots fine
> with ide_generic.
> But as this is an obsolete driver, you may not be interested in info
> about this.

I am not sure which image you use infact,
but a recent image should not have ide-generic on it.

As your box is now bootable, can you please update to latest Lenny
and let us know the boot progress with 2.6.32-5-486.

thanks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Sun, 19 Sep 2010 19:06:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Wansing <linux@wansing-online.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 19 Sep 2010 19:06:08 GMT) Full text and rfc822 format available.

Message #213 received at 571035@bugs.debian.org (full text, mbox):

From: Holger Wansing <linux@wansing-online.de>
To: maximilian attems <max@stro.at>
Cc: 571035@bugs.debian.org, Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#571035: [Daily built 23. Aug 2010] Kernel freezes at boot
Date: Sun, 19 Sep 2010 21:04:19 +0200
Hi,

maximilian attems <max@stro.at> wrote:
> On Sat, 18 Sep 2010, Holger Wansing wrote:
> > As this does not boot, I tried again a new installation, and forced to
> > add ide_generic to the initrd, and that works! The machine boots fine
> > with ide_generic.
> > But as this is an obsolete driver, you may not be interested in info
> > about this.
> 
> I am not sure which image you use infact,
> but a recent image should not have ide-generic on it.
> 
> As your box is now bootable, can you please update to latest Lenny

                                                               ^^^^^

> and let us know the boot progress with 2.6.32-5-486.

Not sure what you mean here.
I installed the squeeze distribution from a daily build. Should I 
downgrade to Lenny???
No, I think you mean, that I update the kernel to the latest version of
2.6.32, right?



Holger

-- 

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
Created with Sylpheed 2.5.0
    under DEBIAN GNU/LINUX 5.0.0 - L e n n y
        Registered LinuxUser #311290 - http://counter.li.org/
= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Sun, 19 Sep 2010 19:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 19 Sep 2010 19:33:03 GMT) Full text and rfc822 format available.

Message #218 received at 571035@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Holger Wansing <linux@wansing-online.de>
Cc: 571035@bugs.debian.org, Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#571035: [Daily built 23. Aug 2010] Kernel freezes at boot
Date: Sun, 19 Sep 2010 21:19:08 +0200
On Sun, Sep 19, 2010 at 09:04:19PM +0200, Holger Wansing wrote:
> Hi,
> 
> maximilian attems <max@stro.at> wrote:
> > On Sat, 18 Sep 2010, Holger Wansing wrote:
> > > As this does not boot, I tried again a new installation, and forced to
> > > add ide_generic to the initrd, and that works! The machine boots fine
> > > with ide_generic.
> > > But as this is an obsolete driver, you may not be interested in info
> > > about this.
> > 
> > I am not sure which image you use infact,
> > but a recent image should not have ide-generic on it.
> > 
> > As your box is now bootable, can you please update to latest Lenny
> 
>                                                                ^^^^^
> 
> > and let us know the boot progress with 2.6.32-5-486.
> 
> Not sure what you mean here.
> I installed the squeeze distribution from a daily build. Should I 
> downgrade to Lenny???
> No, I think you mean, that I update the kernel to the latest version of
> 2.6.32, right?

meant latest squeeze of course, thanks for catching the essence.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Fri, 24 Sep 2010 08:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Wansing <linux@wansing-online.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 24 Sep 2010 08:12:04 GMT) Full text and rfc822 format available.

Message #223 received at 571035@bugs.debian.org (full text, mbox):

From: Holger Wansing <linux@wansing-online.de>
To: maximilian attems <max@stro.at>
Cc: 571035@bugs.debian.org, Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#571035: [Upgraded to latest squeeze] Machine unbootable with ata_generic [Was: [Daily built 23. Aug 2010] Kernel freezes at boot]
Date: Fri, 24 Sep 2010 10:07:52 +0200
Hi,

maximilian attems <max@stro.at> wrote:
> On Sat, 18 Sep 2010, Holger Wansing wrote:
> 
> > 
> > As this does not boot, I tried again a new installation, and forced to
> > add ide_generic to the initrd, and that works! The machine boots fine
> > with ide_generic.
> > But as this is an obsolete driver, you may not be interested in info
> > about this.
> 
> I am not sure which image you use infact,
> but a recent image should not have ide-generic on it.
> 
> As your box is now bootable, can you please update to latest Lenny
> and let us know the boot progress with 2.6.32-5-486.

I have upgraded my system to actual squeeze.
While building the initramfs, ata-generic was included in
/etc/initramfs-tools/modules, but _ide-generic_ was not.

The system is now unbootable, root filesystem is not found during boot.


Some output from the initramfs-shell:

(initramfs) cat /proc/cmdline
BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-486 root=UUID=<uuid> ro all_generic_ide

(initramfs) cat /proc/modules
ide_gd_mod 17175 0 - Live 0xc2971000
ide_core 59670 1 ide_gd_mod, Live 0xc294b000
fan 2590 0 - Live 0xc2923000
thermal 9210 0 - Live 0xc290a000
thermal_sys 9346 2 fan,thermal, Live 0xc28f9000
ata_generic 2015 0 - Live 0ßxc2820000
libata 117275 1 ata_generic, Live 0xc28da000
scsi_mod 102265 1 libata, Live 0xc2863000

(initramfs) ls -l /dev/[hs]da*
ls: /dev/[hs]da*: No such file or directory

(initramfs) ls -l /dev/disk/*
ls: /dev/disk/*: No such file or directory



So, there is no harddisk available, while ata_generic is loaded.



Maybe you want some info on the hardware?

I booted the installer and this is the output from
lspci -nn:

00:00.0 Host bridge [0600]: Toshiba America Info Systems CPU to PCI bridge
	[1179:0601] (rev a0)
00:04.0 VGA compatible controller [0300]: Chips and Technologies F65555 HiQVPro
	[102c:00e5] (rev c6)
00:0b.0 USB Controller [0c03]: NEC Corporation USB 
	[1033:0035] (rev 02)
00:11.0 Communication Controller [0780]: Toshiba America Info Systems FIR Port
	Type-0 [1179:0701] (rev 21)
00:13:0 Cardbus bridge [0607]: Toshiba America Info Systems ToPIC97
	[1179:060f] (rev 20)
00:13:1 Cardbus bridge [0607]: Toshiba America Info Systems ToPIC97
	[1179:060f] (rev 20)


Hmm, there is no IDE controller listed  ~~:)
But hda is available at that time:

dmesg | grep hda says:

hda: TOSHIBA MK4006MAV, ATA DISK drive
hda: max request size: 128KiB
hda: 8007662 sectors (4099 MB), CHS=7944/16/63
 hda: hda1 hda2

PLEASE NOTE, THAT THIS IS WITH ide_generic LOADED!
ata_generic is not available on the d-i at that time,
but ide_generic is.



Holger


-- 

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
Created with Sylpheed 2.5.0
    under DEBIAN GNU/LINUX 5.0.0 - L e n n y
        Registered LinuxUser #311290 - http://counter.li.org/
= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Fri, 24 Sep 2010 15:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@ossystems.com.br>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 24 Sep 2010 15:12:04 GMT) Full text and rfc822 format available.

Message #228 received at 571035@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@ossystems.com.br>
To: Holger Wansing <linux@wansing-online.de>
Cc: maximilian attems <max@stro.at>, 571035@bugs.debian.org
Subject: Re: Bug#571035: [Upgraded to latest squeeze] Machine unbootable with ata_generic [Was: [Daily built 23. Aug 2010] Kernel freezes at boot]
Date: Fri, 24 Sep 2010 12:09:07 -0300
Hello,

On Fri, Sep 24, 2010 at 5:07 AM, Holger Wansing <linux@wansing-online.de> wrote:
> PLEASE NOTE, THAT THIS IS WITH ide_generic LOADED!
> ata_generic is not available on the d-i at that time,
> but ide_generic is.

I have queued it to be included in next kernel update for d-i.

-- 
Otavio Salvador                  O.S. Systems
E-mail: otavio@ossystems.com.br  http://www.ossystems.com.br
Mobile: +55 53 9981-7854         http://projetos.ossystems.com.br




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Sat, 16 Oct 2010 20:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@ossystems.com.br>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 16 Oct 2010 20:12:03 GMT) Full text and rfc822 format available.

Message #233 received at 571035@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@ossystems.com.br>
To: Holger Wansing <linux@wansing-online.de>
Cc: maximilian attems <max@stro.at>, 571035@bugs.debian.org
Subject: Re: Bug#571035: [Upgraded to latest squeeze] Machine unbootable with ata_generic [Was: [Daily built 23. Aug 2010] Kernel freezes at boot]
Date: Sat, 16 Oct 2010 17:08:12 -0300
Hello,

We have updated kernel version in installer and I would like to ask
you to give it a try.

Please try http://people.debian.org/~joeyh/d-i/images/20101016-16:05/netboot/mini.iso

Thanks in advance,

-- 
Otavio Salvador                  O.S. Systems
E-mail: otavio@ossystems.com.br  http://www.ossystems.com.br
Mobile: +55 53 9981-7854         http://projetos.ossystems.com.br




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Fri, 29 Oct 2010 19:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Wansing <linux@wansing-online.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 29 Oct 2010 19:15:05 GMT) Full text and rfc822 format available.

Message #238 received at 571035@bugs.debian.org (full text, mbox):

From: Holger Wansing <linux@wansing-online.de>
To: 571035@bugs.debian.org
Cc: maximilian attems <max@stro.at>, Otavio Salvador <otavio@ossystems.com.br>
Subject: Re: Bug#571035: [Upgraded to latest squeeze] Machine unbootable with ata_generic
Date: Fri, 29 Oct 2010 21:12:45 +0200
Hello,

Otavio Salvador <otavio@ossystems.com.br> wrote:
> We have updated kernel version in installer and I would like to ask
> you to give it a try.

I did a test installation with a beta1 netinst image
(from http://cdimage.debian.org/cdimage/squeeze_di_beta1/i386/iso-cd/).

The situation is still the same:

In the debian-installer, the ide_generic module is used by default,
but it is not included in the initrd.
Because of that, the newly installed system is unbootable (no disc is noted 
in /dev).


Holger

-- 

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
Created with Sylpheed 2.5.0
    under DEBIAN GNU/LINUX 5.0.0 - L e n n y
        Registered LinuxUser #311290 - http://counter.li.org/
= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Fri, 29 Oct 2010 22:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@ossystems.com.br>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 29 Oct 2010 22:03:03 GMT) Full text and rfc822 format available.

Message #243 received at 571035@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@ossystems.com.br>
To: Holger Wansing <linux@wansing-online.de>
Cc: 571035@bugs.debian.org, maximilian attems <max@stro.at>
Subject: Re: Bug#571035: [Upgraded to latest squeeze] Machine unbootable with ata_generic
Date: Fri, 29 Oct 2010 20:01:00 -0200
Hello,

On Fri, Oct 29, 2010 at 5:12 PM, Holger Wansing <linux@wansing-online.de> wrote:
> The situation is still the same:
>
> In the debian-installer, the ide_generic module is used by default,
> but it is not included in the initrd.
> Because of that, the newly installed system is unbootable (no disc is noted
> in /dev).

Can you send us a copy of /var/log/installer/syslog (gzipped)?

-- 
Otavio Salvador                  O.S. Systems
E-mail: otavio@ossystems.com.br  http://www.ossystems.com.br
Mobile: +55 53 9981-7854         http://projetos.ossystems.com.br




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Sat, 30 Oct 2010 18:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Wansing <linux@wansing-online.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 30 Oct 2010 18:57:03 GMT) Full text and rfc822 format available.

Message #248 received at 571035@bugs.debian.org (full text, mbox):

From: Holger Wansing <linux@wansing-online.de>
To: 571035@bugs.debian.org
Cc: Otavio Salvador <otavio@ossystems.com.br>, maximilian attems <max@stro.at>
Subject: Re: Bug#571035: [Upgraded to latest squeeze] Machine unbootable with ata_generic
Date: Sat, 30 Oct 2010 20:53:19 +0200
[Message part 1 (text/plain, inline)]
Hello,

Otavio Salvador <otavio@ossystems.com.br> wrote:
> On Fri, Oct 29, 2010 at 5:12 PM, Holger Wansing <linux@wansing-online.de> wrote:
> > The situation is still the same:
> >
> > In the debian-installer, the ide_generic module is used by default,
> > but it is not included in the initrd.
> > Because of that, the newly installed system is unbootable (no disc is noted
> > in /dev).
> 
> Can you send us a copy of /var/log/installer/syslog (gzipped)?

Sure. But as this is a lowmem install, the logfile is truncated to
save memory.


Holger

-- 

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
Created with Sylpheed 2.5.0
    under DEBIAN GNU/LINUX 5.0.0 - L e n n y
        Registered LinuxUser #311290 - http://counter.li.org/
= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
[syslog.gz (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Wed, 13 Apr 2011 20:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Wansing <linux@wansing-online.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 13 Apr 2011 20:21:06 GMT) Full text and rfc822 format available.

Message #253 received at 571035@bugs.debian.org (full text, mbox):

From: Holger Wansing <linux@wansing-online.de>
To: 571035@bugs.debian.org
Subject: Bug#571035: [an older bugreport] ide controller not supported by libata, but was supported by ide_generic [Was: installationsreport: grub2: machine doesn't boot]
Date: Wed, 13 Apr 2011 22:18:24 +0200
Hello,

I returned back to this to try, if something has happened on this
in the last time (I thought, maybe a new kernel release has fixed this 
or something like that ...)

The problem is this:

I have an old laptop here, where the ide disk was supported in the
past over the old ide_xxx drivers.
While these drivers seem to be no longer supported on the long
run, I tried if I can get ide running with the new libata drivers.

And the answer is No.
Further investigation gave the info, that this particular ide controller 
was supported by the ide_gd kernel module.
Don't know what driver obsoleted the ide_gd module, I tried all of the
ata_xxx modules available on a recent debian-installer netinst cd,
and none was able to bring the ide controller up (so no ide disk
visible).

So this ide controller is no longer supported by the linux kernel.
(you can find this in the history of this report several times)

If you ask now: ok, what controller does your machine have?
I will have to answer: well, I don't know exactly, the output of
lspci is this:

~ # lspci
00:00.0 Host bridge: Toshiba America Info Systems CPU to PCI bridge (rev a0)
00:04.0 VGA compatible controller: Chips and Technologies F65555 HiQVPro (rev c6)
00:0b.0 USB Controller: NEC Corporation USB (rev 02)
00:11.0 Communication controller: Toshiba America Info Systems FIR Port Type-0 (rev 21)
00:13.0 Cardbus bridge: Toshiba America Info Systems ToPIC97 (rev 20)
00:13.1 Cardbus bridge: Toshiba America Info Systems ToPIC97 (rev 20)

So, there is no ide controller listed.
And ide disc is accessible at this time via ide_generic:
~ # ls /dev/hda*
/dev/hda /dev/hda1 /dev/hda2

This system outputs were created on 2.6.37-2-486 from a daily build netinst cd
from 20110407.
The machine is an Toshiba Satellite 320CDS laptop.


Don't know what to do with this bug (it has a long history already, 
starting with Squeeze-alpha1 ...):
Close it and file a new one against the kernel?


Holger


-- 

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
Created with Sylpheed 3.0.2
    under DEBIAN GNU/LINUX 6.0 - S q u e e z e 
        Registered LinuxUser #311290 - http://counter.li.org/
= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Wed, 13 Apr 2011 20:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 13 Apr 2011 20:45:03 GMT) Full text and rfc822 format available.

Message #258 received at 571035@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Holger Wansing <linux@wansing-online.de>, 571035@bugs.debian.org
Cc: debian-boot@lists.debian.org
Subject: d-i loads ide_generic but doesn't enable it in installed system
Date: Wed, 13 Apr 2011 21:42:19 +0100
On Wed, Apr 13, 2011 at 10:18:24PM +0200, Holger Wansing wrote:
> Hello,
> 
> I returned back to this to try, if something has happened on this
> in the last time (I thought, maybe a new kernel release has fixed this 
> or something like that ...)
> 
> The problem is this:
> 
> I have an old laptop here, where the ide disk was supported in the
> past over the old ide_xxx drivers.
> While these drivers seem to be no longer supported on the long
> run, I tried if I can get ide running with the new libata drivers.
> 
> And the answer is No.
> Further investigation gave the info, that this particular ide controller 
> was supported by the ide_gd kernel module.

ide_gd is the IDE generic disk module, which is shared between
ide_disk and ide_floppy drivers.  It depends on a separate driver for
the controller.

In the new world of libata, sd replaces ide_gd, ide_disk and
ide_floppy.

> Don't know what driver obsoleted the ide_gd module, I tried all of the
> ata_xxx modules available on a recent debian-installer netinst cd,
> and none was able to bring the ide controller up (so no ide disk
> visible).
> 
> So this ide controller is no longer supported by the linux kernel.
> (you can find this in the history of this report several times)
> 
> If you ask now: ok, what controller does your machine have?
> I will have to answer: well, I don't know exactly, the output of
> lspci is this:
> 
> ~ # lspci
> 00:00.0 Host bridge: Toshiba America Info Systems CPU to PCI bridge (rev a0)
> 00:04.0 VGA compatible controller: Chips and Technologies F65555 HiQVPro (rev c6)
> 00:0b.0 USB Controller: NEC Corporation USB (rev 02)
> 00:11.0 Communication controller: Toshiba America Info Systems FIR Port Type-0 (rev 21)
> 00:13.0 Cardbus bridge: Toshiba America Info Systems ToPIC97 (rev 20)
> 00:13.1 Cardbus bridge: Toshiba America Info Systems ToPIC97 (rev 20)
> 
> So, there is no ide controller listed.

So it's not a PCI device.

> And ide disc is accessible at this time via ide_generic:
> ~ # ls /dev/hda*
> /dev/hda /dev/hda1 /dev/hda2

ide_generic is still available because it doesn't have a direct
replacement.  However there is no way for the kernel to detect the
controller and trigger automatic loading of the driver, as it would
for a PCI device.  The initramfs configuration must explicitly list
it to be included and directly loaded during boot.

I thought that if the installer loaded it then it would also ensure
that it was loaded when booting the installed system.  So this may be
a debian-installer bug or an initramfs-tools bug.

Ben.

> This system outputs were created on 2.6.37-2-486 from a daily build netinst cd
> from 20110407.
> The machine is an Toshiba Satellite 320CDS laptop.
> 
> 
> Don't know what to do with this bug (it has a long history already, 
> starting with Squeeze-alpha1 ...):
> Close it and file a new one against the kernel?
 

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571035; Package linux-2.6. (Thu, 21 Apr 2011 18:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mark Lila" <571035@bugs.debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 21 Apr 2011 18:03:07 GMT) Full text and rfc822 format available.

Message #263 received at 571035@bugs.debian.org (full text, mbox):

From: "Mark Lila" <571035@bugs.debian.org>
To: "Holger Wansing" <linux@wansing-online.de>, 571035@bugs.debian.org
Subject: Re: Bug#571035: [an older bugreport] ide controller not supported by libata, but was supported by ide_generic [Was: installationsreport: grub2: machine doesn't boot]
Date: Thu, 21 Apr 2011 11:00:02 -0700
Hello Holger,

FYI on my workaround status.  I've done two types of installations. An
upgrade and clean install and both work as long as you add ide-generic
to the modules file so it can be found after the first boot.

I have no idea what direction a real fix will take considering the
desire to move away from ide-generic.

Thanks,
Mark


On Wed, 13 Apr 2011 22:18 +0200, "Holger Wansing"
<linux@wansing-online.de> wrote:
> Hello,
> 
> I returned back to this to try, if something has happened on this
> in the last time (I thought, maybe a new kernel release has fixed this 
> or something like that ...)
> 
> The problem is this:
> 
> I have an old laptop here, where the ide disk was supported in the
> past over the old ide_xxx drivers.
> While these drivers seem to be no longer supported on the long
> run, I tried if I can get ide running with the new libata drivers.
> 
> And the answer is No.
> Further investigation gave the info, that this particular ide controller 
> was supported by the ide_gd kernel module.
> Don't know what driver obsoleted the ide_gd module, I tried all of the
> ata_xxx modules available on a recent debian-installer netinst cd,
> and none was able to bring the ide controller up (so no ide disk
> visible).
> 
> So this ide controller is no longer supported by the linux kernel.
> (you can find this in the history of this report several times)
> 
> If you ask now: ok, what controller does your machine have?
> I will have to answer: well, I don't know exactly, the output of
> lspci is this:
> 
> ~ # lspci
> 00:00.0 Host bridge: Toshiba America Info Systems CPU to PCI bridge (rev
> a0)
> 00:04.0 VGA compatible controller: Chips and Technologies F65555 HiQVPro
> (rev c6)
> 00:0b.0 USB Controller: NEC Corporation USB (rev 02)
> 00:11.0 Communication controller: Toshiba America Info Systems FIR Port
> Type-0 (rev 21)
> 00:13.0 Cardbus bridge: Toshiba America Info Systems ToPIC97 (rev 20)
> 00:13.1 Cardbus bridge: Toshiba America Info Systems ToPIC97 (rev 20)
> 
> So, there is no ide controller listed.
> And ide disc is accessible at this time via ide_generic:
> ~ # ls /dev/hda*
> /dev/hda /dev/hda1 /dev/hda2
> 
> This system outputs were created on 2.6.37-2-486 from a daily build
> netinst cd
> from 20110407.
> The machine is an Toshiba Satellite 320CDS laptop.
> 
> 
> Don't know what to do with this bug (it has a long history already, 
> starting with Squeeze-alpha1 ...):
> Close it and file a new one against the kernel?
> 
> 
> Holger
> 
> 
> -- 
> 
> = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
> Created with Sylpheed 3.0.2
>     under DEBIAN GNU/LINUX 6.0 - S q u e e z e 
>         Registered LinuxUser #311290 - http://counter.li.org/
> = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
> 
> 
> 
> -- 
> To unsubscribe, send mail to 571035-unsubscribe@bugs.debian.org.
> 




Reply sent to Holger Wansing <linux@wansing-online.de>:
You have taken responsibility. (Tue, 03 May 2011 08:51:03 GMT) Full text and rfc822 format available.

Notification sent to Holger Wansing <linux@wansing-online.de>:
Bug acknowledged by developer. (Tue, 03 May 2011 08:51:03 GMT) Full text and rfc822 format available.

Message #268 received at 571035-done@bugs.debian.org (full text, mbox):

From: Holger Wansing <linux@wansing-online.de>
To: 571035-done@bugs.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>
Subject: Re: d-i loads ide_generic but doesn't enable it in installed system
Date: Tue, 3 May 2011 10:49:22 +0200
Hi,

Ben Hutchings <ben@decadent.org.uk> wrote:
> ide_generic is still available because it doesn't have a direct
> replacement.  However there is no way for the kernel to detect the
> controller and trigger automatic loading of the driver, as it would
> for a PCI device.  The initramfs configuration must explicitly list
> it to be included and directly loaded during boot.
> 
> I thought that if the installer loaded it then it would also ensure
> that it was loaded when booting the installed system.  So this may be
> a debian-installer bug or an initramfs-tools bug.

I close this bug because of his longstanding and complex history,
and reported a new one as follow-up: #625290 (against debian-installer).


Holger

-- 

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
Created with Sylpheed 3.0.2
    under DEBIAN GNU/LINUX 6.0 - S q u e e z e 
        Registered LinuxUser #311290 - http://counter.li.org/
= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 01 Jun 2011 07:34:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:27:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.